import { a as QueryParamsOptions, g as Adapter } from '../../types-a1a2e140.js';
import 'valibot';
import 'zod';

/// <reference lib="dom" />

interface DomAdapterOptions extends Pick<QueryParamsOptions, "windowObj"> {
    /**
     * If `true`, the browser URL will be updated using
     * {@linkcode History.replaceState}, otherwise the browser URL will be
     * updated using {@linkcode History.pushState}
     *
     * @default false
     */
    replace?: boolean;
}
declare function dom(options?: DomAdapterOptions): Adapter;

export { DomAdapterOptions, dom };
