import { Q as QuerySchema, a as QueryParamsOptions, b as QueryParams, i as inferShape } from './types-a1a2e140.js';
export { A as AnySchema, F as FunctionValidator, P as Params, f as QueryFetcher, e as QueryUpdater, S as Serializer, V as ValibotValidator, c as Validator, Z as ZodValidator, d as inferFromValidator } from './types-a1a2e140.js';
import 'valibot';
import 'zod';

/// <reference lib="dom" />

/**
 * This returns a function (a hook) rather than a reactive object as the
 * reactivity is lost when importing the underlying reactive object around
 * @returns A hook, returning a reactive {@linkcode QueryParams} instance
 */
declare function createUseQueryParams<TShape extends QuerySchema>(validators: TShape, options?: QueryParamsOptions): () => QueryParams<inferShape<TShape>>;

export { QueryParams, QueryParamsOptions, QuerySchema, createUseQueryParams, inferShape };
